
=====0.41=====

25.03.2009\\
  * Групповое занесение ZAP сессий в лог.
23.03.2009\\
  * Возможность устанавливать расписания на отключение сервиса. Возможно устанавливать несколько расписаний на разные промежутки времени.
  * [[abills:docs:modules:dv:ru#compensation|Форма компенсации.]]

18.03.2009\\
Добавлена возможность устанавливать пользователем кредитный лимит в пределах кредитного лимита тарифного плана. Лимит устанавливается на определённое количество дней указанных в тарифном плане. Учтена возможность снятия денег за изменение кредитного лимита. ''(функция доступна в коммерческой версии)''

05.03.2009\\
Добавлена работа с платёжной системой [[http://pegaspay.com.ua|Pegas]]\\

MySQL:
  ALTER TABLE payments CHANGE column ext_id ext_id varchar(28);
23.01.2009\\
  * Добавлена возможность задавать радиус-связки передаваемые в параметре "Фильт негативного депозита". \\
MySQL:
  alter table tarif_plans change column neg_deposit_filter_id neg_deposit_filter_id varchar(150) not null default '';


09.01.2009\\
  * Изменения в месячной абонплате. Возможность "послеоплата" разнесена на месячную и дневную.
  * В модуле Abon добавлено выравнивание месяца. При выравнивании по дате активизации, дата не меняется.
  * Добавлена возможность обсчёта привелигилированого направления трафика сессии (SESSION_IN,   SESSION_OUT).   
  * Добавлена возможность турборежимов для модуля Dv.
  * Возможность подсчёта трафика в модуле IPN исходя из IP и маски клиента. Трафик учитывается для всей сети, если хотя бы один из пользователей активизирован.

  ALTER TABLE tarif_plans ADD COLUMN  postpaid_daily_fee tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE tarif_plans ADD COLUMN  postpaid_monthly_fee tinyint(1) unsigned NOT NULL default '0';
  UPDATE tarif_plans SET postpaid_daily_fee=postpaid_fee, postpaid_monthly_fee=postpaid_fee;
  ALTER TABLE  abon_tariffs ADD COLUMN `period_alignment` tinyint(1) NOT NULL DEFAULT '0';

  * Добавлена платёжная система Portmone



30.12.2008\\
  * Добавлена возможность выписки квитанции после внесения оплаты пользователю. Данная возможность доступна только с включённым модулем Docs. Используется шаблон docs_invoice.

15.12.2008\\
  * Добавлен запас сессий на каждый отдельный сервер доступа.
  * Добавлена возможность автоматической переинициализации IPN-сессий после ребута
14.12.2008\\
  * Добавлена работа с платёжной системой [[http://ukrpays.com|UKRPAYS]]

  * Добавлена возможность включения страницы ознакомления и принятия правил провайдера. Если 
правила ещё не были приняты пользователем, при первом его заходе показываются правила. 
Система разрешает пользоваться личным кабинетом только после подтверждения правил.\\
Страница правил также работает для формы регистрации.

Для включения данной функции используется опция:
  $conf{ACCEPT_RULES}=1;
Темплейт отвечающий за данные правила:
  form_accept_rules.tpl

MySQL:\\
  ALTER TABLE users_pi ADD COLUMN `accept_rules` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE dv_main  ADD COLUMN `turbo_mode` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls ADD COLUMN `turbo_mode` varchar(30) NOT NULL default '';

09.12.2008\\
  * Добавлена возможность организации автоматического переключения скорости при смене временных интервалов для NAS Mikrotik.\\

  * Добавлена возможность добавлять сообщения об ошибке прямо в базу. Опция $conf{ERROR2DB}=1; Разрешает использовать удалённые сервера доступа и несколько радиус-серверов. Более гибкая система выборки логов.\\
MySQL:\\
  CREATE TABLE `errors_log` (
    `date` datetime NOT NULL,
    `log_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
    `action` varchar(10) NOT NULL,
    `user` varchar(20) NOT NULL,
    `message` varchar(120) NOT NULL,
    KEY `user` (`user`),
    KEY `date` (`date`),
    KEY `log_type` (`log_type`)
  ) COMMENT='Error log';

06.12.2008\\
  * Дообработан модуль [[http://abills.net.ua/wiki/doku.php?id=abills:docs:modules:dhcphosts:ru#leases2db.pl|Dhcphosts]]. Добавлен leases2db.pl агент, который переводит данные из dhcp.leases в базу.
MySQL:\\
  CREATE TABLE `dhcphosts_leases` (
    `start` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `ends` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `state` tinyint(2) NOT NULL DEFAULT '0',
    `next_state` tinyint(2) NOT NULL DEFAULT '0',
    `hardware` varchar(17) NOT NULL DEFAULT '',
    `uid` varchar(30) NOT NULL DEFAULT '',
    `circuit_id` varchar(25) NOT NULL DEFAULT '',
    `remote_id` varchar(25) NOT NULL DEFAULT '',
    `hostname` varchar(30) NOT NULL DEFAULT '',
    `nas_id` smallint(6) NOT NULL DEFAULT '0',
    `ip` int(11) unsigned NOT NULL DEFAULT '0',
    KEY `ip` (`ip`),
    KEY `nas_id` (`nas_id`)
  ) COMMENT='Dhcphosts leaseds';

  * Dv
MySQL:\\
  alter table dv_main add INDEX CID (CID);

14.11.2008\\
  * Проверка дублирования статических IP-адресов для модуля  Dv
13.11.2008\\
  * Добавлено поле "дата кредита" для компании.
MySQL:\\
  ALTER TABLE companies add column `credit_date` date NOT NULL default '0000-00-00';
Улучшена система ротации логов для модуля Dv.\\
Добавлена возможность групповой переинициализации  IPN-сессий.\\


6.11.2008 \\
  * Автоопределение сети при добавлении пользователя через Dhcphosts.
2.11.2008 \\
  * Улучшена поддержка rlm_perl: \\
  - Доработана работа с потоковым Perl (threaded). \\
  - Ликвидирована ошибка пропадания связи с сервером\\
  - Ускорена работа авторизатора.  \\
  * Добавлена возможность сброса с Cisco NAS используя Radius POD
 
29.10.2008 \\
  * $conf{DV_MIN_USER_FULLPERIOD}=1; - Включение возможности снимать минимальную наработку не первого числа каждого месяца, а через 30 дней с даты активации.
24.10.2008 \\
  * Доработан DHCP-мониторинг\\
  * Сделана корректная обработка RADIUS пар с +=

02.10.2008 \\
  * Добавлено поле учёта изменения DHCP-записи в системе.\\
MySQL:\\
  alter table dhcphosts_hosts add column changed datetime not null default '0000-00-00 00:00:00';

01.10.2008 \\
  * Добавлено поле учёта времени выполнения задания в модуле Msgs.\\
MySQL:\\
  ALTER TABLE msgs_reply ADD COLUMN  run_time int(11) unsigned NOT NULL default '0';

=====0.40=====
12.09.2008\\
  * Добавлен шаблон ipn_form_active, позволяющий убрать кнопку активизации IPN-сесии из пользовательского меню (из меню администратора кнопка также удаляется).

11.09.2008\\
  * Модуль [[http://abills.net.ua/wiki/doku.php?id=abills:docs:modules:extfin:ru|Extfin]] добавлен отчёт по должникам.
10.09.2008\\
  * Улучшен шейпер для Linux. Теперь его можно применять для IPN и при использовании Vlan. **(Особая благодарность ran)**
  * Добавлена опция $conf{CARDS_PAYMENTS_EXTERNAL}='/usr/local/abills/misc/cards_external.sh'; Запуск внешних программ после успешного пополнения счёта через карточный модуль. \\
  * Распределение месячной платы по дням. При указании опции месячная плата взимается каждый день с учётом её распределения по дням месяца\\
MySQL:
  ALTER TABLE tarif_plans ADD COLUMN `abon_distribution` tinyint(1) NOT NULL DEFAULT '0';

01.09.2008\\
Добавлена возможность печати PDF файлов в модуле работы с документами Docs.

16.08.2008\\
Добавлено поле дата договора в компании.
MySQL:
  ALTER TABLE companies ADD COLUMN `contract_date` date NOT NULL;

12.08.2008\\
Добавлено поле дата договора.
MySQL:
  ALTER TABLE users_pi ADD COLUMN `contract_date` date NOT NULL;
  ALTER TABLE admins ADD COLUMN `comments` text NOT NULL;



30.07.2008\\
Была изменена логика добавления данных для управления коммутаторами [[http://abills.net.ua/wiki/doku.php?id=abills:docs:modules:snmputils:ru|Snmputils]] 


29.07.2008\\
Добавлена возможность создавать супер пользователя компании. Суперпользователь может просматривать отчёты по всем пользователям компании.\\

MySQL:
  CREATE TABLE `companie_admins` (
    `company_id` int(10) unsigned NOT NULL DEFAULT '0',
    `uid` int(10) unsigned NOT NULL DEFAULT '0',
    PRIMARY KEY (`company_id`,`uid`)
  ) COMMENT='Companie Super Users';


25.07.2008\\
Дополнен модуль Voip. Добавлена возможность редактирования префиксов в зависимости о транка.
MySQL:  

  ALTER TABLE voip_trunks add COLUMN   `addprefix` char(20) not null DEFAULT '';


22.07.2008\\
Улучшенна работа с модулем сообщений. Добавлена возможность оповещения администратора и пользователей по E-mail о новых сообщения. Добавлена подсветка цитат.
MySQL:
  ALTER TABLE msgs_admins ADD COLUMN`email_notify` tinyint(4) unsigned NOT NULL default '0';

17.07.2008\\
MySQL:
  UPDATE config SET value=CONCAT('0:',  value) WHERE param LIKE 'if%'

12.07.2008\\
Доработаны права администраторов. Добавлена возможность включать определённые модули для администраторов. \\
MySQL:
  INSERT INTO `admin_permits` (`aid`, `section`, `actions`, `module`) VALUES (1,4,4,'');

30.06.2008\\
MySQL:
  ALTER TABLE users add key company_id (company_id);

26.06.2008\\
Добавлен в систему интерфейс дилера, где дилер сможет себе сам формировать карточки оплат\\
MySQL:
  ALTER TABLE cards_dillers ADD `uid` int(11) unsigned NOT NULL default '0';
  ALTER TABLE cards_dillers DROP key name;


21.06.2008\\
Доизменена  концепция пулов серверов доступа. Теперь они создаются как независимые объекты и потом присваиваются серверам доступа. При подключении система просматривает занятие адреса на всех серверах доступа, использующих данный пул.
**Обязательно обновите пулы серверов доступа**\\
MySQL:
  CREATE TABLE `nas_ippools` (
    `pool_id` int(10) unsigned NOT NULL default 0,
    `nas_id` smallint(5) unsigned NOT NULL default '0',
    UNIQUE KEY `nas` (`nas_id`,`pool_id`)
  )  ;


18.06.2008\\
Добавлена возможность использовать совместный сервис несколькими логинами.\\
Данная функция доступна только пользователям привязанным к компании и разрешает использовать параметры одного тарифного плана несколькими пользователями.\\

MySQL:
  ALTER TABLE dv_calls ADD COLUMN`join_service` int(11) unsigned NOT NULL default '0';


18.06.2008\\
MySQL:
  ALTER TABLE dv_calls ADD COLUMN `uid` int(11) unsigned NOT NULL default '0';
  ALTER TABLE dv_calls ADD KEY `uid` (`uid`);


16.06.2008\\
MySQL:
  ALTER TABLE dv_main ADD COLUMN `join_service` int(11) unsigned NOT NULL DEFAULT '0';


Добавлены транки для модуля VoIP. Транки присваиваются в зависимости от направления и цены.

MySQL:

  ALTER TABLE `voip_route_prices` ADD `trunk` SMALLINT UNSIGNED NOT NULL DEFAULT '0';
  
  CREATE TABLE IF NOT EXISTS `voip_trunks` (
    `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
    `name` char(20) NOT NULL,
    `trunkprefix` char(20) DEFAULT NULL,
    `protocol` char(10) NOT NULL,
    `provider_ip` char(80) NOT NULL,
    `removeprefix` char(20) DEFAULT NULL,
    `secondusedreal` smallint(5) unsigned DEFAULT '0',
    `secondusedcarrier` smallint(5) unsigned DEFAULT '0',
    `secondusedratecard` smallint(5) unsigned DEFAULT '0',
    `failover_trunk` smallint(5) unsigned NOT NULL DEFAULT '0',
    `addparameter` char(120) DEFAULT NULL,
    `provider_name` char(120) DEFAULT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `name` (`name`)
   ) ;

10.06.2008\\
Добавлено 3 статуса сервиса для модуля Dv (Активно, Блокировано, Не активизировано).  Добавлена возможность пользователям самостоятельно активизировать свой уже зарегистрированный аккаунт. При активации аккаунта с месячной абон. платой система автоматически снимает её в зависисмости от правил тарифного плана. Пользователю разрешено менять статус только с 'Не активизирован' на  'Активно'.

06.06.2008\\
Добавлена возможность вносить оплаты произвольной датой. Операция разрешается  в меню привилегий администратора.\\
Добавлена возможность вносить снятие денег задним числом\\
Добавлена к модулю Paysys консольная утилита paysys_cons, разрешающая вносить оплаты и снятия денег из текстового файла. Имеется возможность задавать формат файла и указывать поле прикрепления.

26.05.2008\\
Добавлен отчёт - наработка по тарифных планах.\\

Добавлена функция установки даты истечения кредита. В день истечения кредита обнуляются данные по сумме кредита.
MySQL:
  ALTER TABLE users ADD COLUMN `credit_date` date default '0000-00-00';


22.05.2008\\

MySQL
  ALTER TABLE paysys_log change COLUMN transaction_id transaction_id varchar(15) NOT NULL DEFAULT ''
21.05.2008 
  * Добавлена возможность автоматического снятия абонплаты с пользователя при добавлении пользователя или изменении тарифного плана администратором, если в новом тарифном плане пристуствует правило снятия абон. платы.

  * Добавлено опция тарифного плана - Выравнивание. При включённой опции система при переводе на данный тарифный план снимает с пользователя сумму, расчитанную с текущего дня до конца месяца. Таким образом происходит выравнивание по 1 числу следующего месяца.
  * Добавлена возможность утанавливать начало учётного периода. В опции $conf{START_PERIOD_DAY} устанавливается число месяца, которое считается отсчётным для учётного периода. Используется при снятии абон. платы.
  * Добавлено опция тарифного плана - Минимальная Наработка.\\
Минимальная Наработка - Минимально количество денежных стредств, которые нужно использовать по данному тарифному плану на протяжении месяца.
Если пользователь использовал меньшее количество денежных средств, эта разница взимается с его аккаунта в конце учётного периода. При снятии разницы наработки не учитывается депозит пользователя.

  * Добавлено опция тарифного плана - Pool.\\
Pool - Разрешает прикреплять к тарифному плану пул IP-адресов. При исчерпании свободных адресов система использует пул адресов сервера доступа. Пулы адресов заводятся через сервера доступа.

MySQL
  ALTER TABLE tarif_plans ADD COLUMN `ippool` int(11) NOT NULL DEFAULT '0';
  ALTER TABLE tarif_plans ADD COLUMN `period_alignment` tinyint(1) NOT NULL DEFAULT '0';
  ALTER TABLE tarif_plans ADD COLUMN `min_use` double(14,2) unsigned NOT NULL DEFAULT '0.00';


  * Добавлена опция название IP-пула.
  * Добавлена опция приоритет IP-пулов. \\ При использовании нескольких пулов адресов сначала используются адреса пула с более высоким приоритетом, а затем по возростанию.
  Самым высоким приоритетом считется - 0 (ноль).

MySQL
  ALTER TABLE ippools ADD column `name` varchar(25) NOT NULL;
  ALTER TABLE ippools ADD column `priority` tinyint(4) NOT NULL DEFAULT '0';


24.04.2008 
MySQL
 Добавлена возможность указывать загрузочный файл через DHCP.
   ALTER TABLE `dhcphosts_hosts` ADD `boot_file` VARCHAR( 150 ) NOT NULL default '';


24.04.2008 

  * **Информационные поля.** Набор функций по созданию дополнительных информационных полей для пользовательского аккаунта и аккаунта компании. Разрешает создавать дополнительные поля без вмешательства в код системы.\\
При создании информационного поля нужно указать 
  *	Название поля. Поле будет показываться в описании поля
  *	Идентификатор поля. Физическое название поля
  *	Тип поля

08.04.2008 
  * Для функций пополнения счёта и снятия со счёта добавлены новые поля - Внутреннее описание операции. В функционал снятия денег добавлены типизации операций.
  

MySQL
  ALTER TABLE payments ADD COLUMN `inner_describe` varchar(80) NOT NULL default '';
  ALTER TABLE `fees` ADD `inner_describe` VARCHAR( 80 ) NOT NULL default '';
  ALTER TABLE `fees` ADD `method` TINYINT UNSIGNED NOT NULL DEFAULT '0';



06.04.2008 
  * Добавлена возможность автоматического создания группы должников. В группу заносятся пользователи, у которых депозит ниже указанного в конфигурации и последняя оплата старше определённого количества дней. При включении  пользователя в эту группу система автоматически добавляет комментарии с указанием даты добавлении. Если указанная группа не существует, система пытается её создать. При погашении долга пользователя, автоматически удаляется из группы вместе с комментарием.\\
Опция конфигурации: **$conf{DEBETORS_GROUP}="GROUP_ID:DEPOSIT:LAST_PAYNMENT_DAYS";** (Пример: $conf{DEBETORS_GROUP}='500:0:20';)
  * Добавлена возможность установки кредитного лимита тарифного плана. Кредитный лимит тарифного плана имеет более низкий приоритет, чем кредитный лимит пользователя.
MySQL
  ALTER TABLE tarif_plans ADD COLUMN `credit` double(10,2) unsigned NOT NULL DEFAULT '0.00';

04.03.2008
  * в модуле Dhcphosts добавлена возможность задавать автоматически выдаваемые адреса для сети.
  * Удалена опция $conf{DHCPHOSTS_IPGUARD_TYPE}=""; . Добавлено две новые опции $conf{DHCPHOSTS_IPGUARD_DENY_TPL}=””; $conf{DHCPHOSTS_IPGUARD_ACCEPT_TPL}=””;


MySQL
  ALTER TABLE dhcphosts_hosts ADD UNIQUE KEY `host_network` (`hostname`,`network`);
  ALTER TABLE dhcphosts_networks ADD COLUMN `ip_range_first` int(11) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE dhcphosts_networks ADD COLUMN `ip_range_last` int(11) unsigned NOT NULL DEFAULT '0';


02.03.2008
  * Улучшен редактор шаблонов (/ System configuration/ MISC/ Template/).
  * В сервисе Dv информация о пользователе добавлено поле показывающее дату следующего снятие абонплаты (/ Customers/ Logins/ Information/ Services/ Dialup / VPN/). 
  * Исправлена ошибка снятия месячной абонплаты модулем Dv. 

28.02.2008
  * Paysys. Добавлено внесение IP-адреса робота платёжной системы уведомляющего о платеже.
  * Добавлена возможность блокирования/разрешения уведомлений о платеже для определенных IP адресов. Опция:
   $conf{PAYSYS_IPS}="0.0.0.0";
MySQL
  ALTER TABLE  paysys_log ADD COLUMN `paysys_ip` int(11) unsigned NOT NULL DEFAULT '0';

26.02.2008
  * добавлена  возможность автоматически создавать файл пользователей для Asterisk. Опция 
  $conf{VOIP_ASTERISK_USERS}='/usr/local/abills/Abills/templates/users.conf';

MySQL

  ALTER TABLE voip_main DROP PRIMARY KEY;
  ALTER TABLE voip_main ADD PRIMARY KEY (`number`);
  ALTER TABLE voip_main ADD KEY `uid` (`uid`);

  * Добавлена возможность прикреплять пользователю два денежных счёта. Основной и дополнительный. \\ 
Основной счёт может служить для отчислений за использованные услуги при Dialup/VPN подключениях, 
дополнительный использоваться для абон. платы. \\
Для включения возможности получать дополнительный денежный счёт, нужно прописать в конфигурационном файле: 
  $conf{EXT_BILL_ACCOUNT}=1;

Для снятия денег с дополнительного счёта нужно поставить галочку в / System configuration/ Dialup / VPN/ Tarif plans/ -> Extra Money account\\
MySQL

  ALTER TABLE companies ADD COLUMN `ext_bill_id` int(10) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE users ADD COLUMN `ext_bill_id` int(10) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE tarif_plans ADD COLUMN  `ext_bill_account` tinyint(1) unsigned NOT NULL DEFAULT '0';
  ALTER TABLE bills DROP KEY `uid`;
  ALTER TABLE bills ADD KEY `uid` (`uid`,`company_id`);



  * Перенесены системные шаблоны в отдельный каталог

  * 08.02.2008
Отображение депозита для заблокированных пользователей Snmputils\\
MYSQL

  ALTER TABLE snmputils_binding add KEY `uid` (`uid`);

 * 02.02.2008
MYSQL
  ALTER TABLE paysys_log add COLUMN `code` blob NOT NULL;

 * 27.01.2008
MYSQL
  ALTER TABLE ipn_log add key uid_traffic_class (uid, traffic_class);
  
  ALTER TABLE dv_log_intervals add column `added` timestamp(14) NOT NULL;
  ALTER TABLE dv_log_intervals add  KEY `acct_session_id` (`acct_session_id`);
  ALTER TABLE dv_log_intervals add KEY `session_interval` (`acct_session_id`,`interval_id`);

  * 27.01.2008
Дополнения в [[abills:docs:msgs:ru|Msgs]]
  * Возможность прикреплять файлы к сообщениям.
  * Отчёты 

MYSQL
  CREATE TABLE `msgs_attachments` (
    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
    `message_id` bigint(20) NOT NULL DEFAULT '0',
    `filename` varchar(250) DEFAULT NULL,
    `content_size` varchar(30) DEFAULT NULL,
    `content_type` varchar(250) DEFAULT NULL,
    `content` longblob NOT NULL,
    `create_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `create_by` int(11) NOT NULL DEFAULT '0',
    `change_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `change_by` int(11) NOT NULL DEFAULT '0',
    `message_type` tinyint(2) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    KEY `article_attachment_article_id` (`message_id`)
  ) COMMENT='Messages Attachment table';

  * 25.01.2008
Включение меню Finance (Денежные операции) в аккаунте пользователя
  $conf{user_finance_menu}=1;
   

  * 24.01.2008
Дополнение типов оплаты собственными через опцию
   @EX_PAYMENT_METHODS = ('webmoney', 'rupay', 'Счёт н 453');

  * 23.01.2008
Просмотр пароля пользователя администратором\\
Выписка карты подключения для пользователя для уже заведённого пользователя (Логин, Пароль...)\\
Дополнение [[abills:docs:msgs:ru|Msgs]]\\
Добавление комутаторов Zyxel в [[http://abills.net.ua/wiki/doku.php?id=abills:docs:modules:snmputils:ru|Snmputils]]\\


  * 06.12.2007
MYSQL
  ALTER TABLE `sharing_main` CHANGE COLUMN  `extra_byte` `extra_byte` double(15,2) unsigned NOT NULL default '0.00';

  * 05.12.2007
MYSQL
  ALTER TABLE msgs_chapters ADD COLUMN `inner_chapter` tinyint(1) unsigned NOT NULL default '0';
  ALTER TABLE msgs_messages ADD COLUMN `inner_msg` tinyint(1) unsigned NOT NULL default '0';

  * 30.11.2007
MYSQL
  ALTER TABLE users ADD COLUMN `credit_date` date NOT NULL default '0000-00-00';

  * 30.11.2007
MYSQL
  ALTER TABLE web_users_sessions ADD COLUMN `ext_info` varchar(200) NOT NULL default '';

  * 28.11.2007 
MYSQL
  ALTER TABLE sharing_main ADD COLUMN  `extra_byte` int(11) unsigned NOT NULL default '0';
  
  CREATE TABLE `sharing_additions` (
    `id` smallint(6) NOT NULL auto_increment,
    `name` varchar(25) NOT NULL default '',
    `quantity` int(11) unsigned NOT NULL default '0',
    `price` double(14,2) default NULL,
    `tp_id` smallint(6) unsigned NOT NULL default '0',
    PRIMARY KEY  (`id`),
    UNIQUE KEY `id` (`id`)
  ) COMMENT='Sharing Additions';




  * 25.11.2007 
MYSQL
  ALTER TABLE dhcphosts_hosts ADD column `ports` varchar(100) NOT NULL default '';
  ALTER TABLE dhcphosts_hosts ADD column `vid` smallint(6) unsigned NOT NULL default '0';
  ALTER TABLE dhcphosts_hosts ADD column `nas` smallint(6) unsigned NOT NULL default '0';
  ALTER TABLE dhcphosts_hosts ADD column `option_82` tinyint(1) unsigned NOT NULL default '0';

